## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# need to reconfigure logging to run tests
# FileNotFoundError: [Errno 2] No such file or directory: '/opt/mailman/web/logs/mailmanweb.log'           
%bcond tests 0

Name:           python-mailman-web
Version:        0.0.9
Release:        %autorelease
Summary:        Mailman 3 Web interface

License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/mailman-web
Source:         %{pypi_source mailman_web}

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-django)
%endif

%global _description %{expand:
This is a Django project that contains default settings and URL settings
for Mailman 3 Web interface. It consists of the following sub-projects:

- Postorius
- Hyperkitty
}

%description %_description

%package -n     python3-mailman-web
Summary:        %{summary}

%description -n python3-mailman-web %_description


%prep
%autosetup -p1 -n mailman_web-%{version}

# Remove shebang from Python files
for file in mailman_web/manage.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $file > $file.new &&
 touch -r $file $file.new &&
 mv $file.new $file
done



%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mailman_web
mkdir -p %{buildroot}%{_sysconfdir}/mailman3


%check
export DJANGO_SETTINGS_MODULE=mailman_web.settings
%pyproject_check_import -e mailman_web.tests.test_basic -e mailman_web.urls
%if %{with tests}
%pytest --ds=mailman_web.tests.settings
%endif


%files -n python3-mailman-web -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%dir %{_sysconfdir}/mailman3
%ghost %config(noreplace) %{_sysconfdir}/mailman3/settings.py
%{_bindir}/mailman-web


%changelog
## START: Generated by rpmautospec
* Sun Mar 02 2025 Michel Lind <salimma@fedoraproject.org> - 0.0.9-3
- Replace the no-op tox invocation with pytest
- Disable tests for now since it fails due to missing log path

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Sep 26 2024 Michel Lind <salimma@fedoraproject.org> - 0.0.9-1
- Update to version 0.0.9; Fixes: RHBZ#2268401

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Python Maint <python-maint@redhat.com> - 0.0.6-2
- Rebuilt for Python 3.13

* Mon Feb 26 2024 Michel Lind <salimma@fedoraproject.org> - 0.0.6-1
- Initial package (rhbz#2266103)
## END: Generated by rpmautospec
